package eu.smoser.dungeongenerator.dungeon.objects;

import eu.smoser.dungeongenerator.util.Dice;

/**
 * Stores information about a trap
 * @author MrMcX
 */
public class Trap extends ADungeonObject{
    /**
     * Constructs a random trap
     */
    public Trap() {
        descString = "";
        switch (Dice.Roll(20, 1)) {
            case 1:
            case 2:
            case 3:
                descString = "getarnte Fallgrube";
                break;
            case 4:
            case 5:
            case 6:
                descString = "getarnte Fallgrube (angespitzte Stäbe/Speere oder Eisenspitzen am Boden)";
                break;
            case 7:
                descString = "Schnur am Boden löst Giftwolke aus.";
                break;
            case 8:
                descString = "Magische Glyphe löst Schadenszauber aus.";
                break;
            case 9:
                descString = "Schnur am Boden löst Steinfall aus.";
                break;
            case 10:
            case 11:
                descString = "Schnur am Boden löst sensenartige Klingen aus.";
                break;
            case 12:
            case 13:
                descString = "Bodenplatte löst schwere Steinkugel aus, die auf die Helden zurollt.";
                break;
            case 14:
            case 15:
                descString = "Bodeplatte löst " + Dice.Roll(6, 1) + " Armbrustbolzen aus.";
                break;
            case 16:
                descString = "Magische Glyphe löst magischen Effekt aus.";
                break;
            case 17:
            case 18:
                descString = "Ein herab fallendes Netz verstrickt die Helden.";
                break;
            case 19:
            case 20:
                descString = "Die Wände bewegen sich auf die Helden zu und drohen sie zu zerquetschen.";
                break;
        }
    }
}
